Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.header
Class InterfaceMacHeader

    java.lang.Object
      org.teleal.cling.model.message.header.UpnpHeader<byte[]>
          org.teleal.cling.model.message.header.InterfaceMacHeader

    public class InterfaceMacHeader

extends UpnpHeader<byte[]>

Extension header, allows us to transfer the MAC ethernet address for Wake-on-LAN.

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.header.UpnpHeader
`UpnpHeader.Type`

Constructor Summary
`InterfaceMacHeader()`
`InterfaceMacHeader(byte[] value)`
`InterfaceMacHeader(String s)`

Method Summary
`String` | `getString()`
`void` | `setString(String s)`
`String` | `toString()`

Methods inherited from class org.teleal.cling.model.message.header.UpnpHeader
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterfaceMacHeader

    public InterfaceMacHeader()

### InterfaceMacHeader

    public InterfaceMacHeader(byte[] value)

### InterfaceMacHeader

    public InterfaceMacHeader(String s)

Method Detail

### setString

    public void setString(String s)
                   throws InvalidHeaderException

  Specified by:
    `setString` in class `UpnpHeader<byte[]>`
  Throws:
    `InvalidHeaderException`

### getString

    public String getString()

  Specified by:
    `getString` in class `UpnpHeader<byte[]>`

### toString

    public String toString()

  Overrides:
    `toString` in class `UpnpHeader<byte[]>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.